Package: groovy.util

## [Java] Class ObservableList.ElementEvent

- groovy.util.ObservableList.ElementEvent

-     public static abstract class ObservableList.ElementEvent
      extends PropertyChangeEvent

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ElementEvent(Object source, Object oldValue, Object newValue, int index, ChangeType type)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ChangeType` | `getChangeType()`
    `` | `public int` | `getIndex()`
    `` | `public int` | `getType()`
    `` | `public String` | `getTypeAsString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PropertyChangeEvent` | `equals, getClass, getNewValue, getOldValue, getPropagationId, getPropertyName, getSource, hashCode, notify, notifyAll, setPropagationId, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ElementEvent(Object source, Object oldValue, Object newValue, int index, ChangeType type)

  - ### Method Detail

    - #### public ChangeType getChangeType()

    - #### public int getIndex()

    - #### public int getType()

    - #### public String getTypeAsString()